Debian Bug report logs - #714248
ITP: python-jsonrpclib -- implementation of the JSON-RPC v2.0 specification

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Thu, 27 Jun 2013 09:03:02 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-jsonrpclib/0.1.3-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#714248; Package wnpp. (Thu, 27 Jun 2013 09:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 27 Jun 2013 09:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-jsonrpclib -- implementation of the JSON-RPC v2.0 specification
Date: Thu, 27 Jun 2013 16:58:50 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-jsonrpclib
  Version         : 0.1.3
  Upstream Author : Josh Marshall <catchjosh@gmail.com>
* URL             : https://pypi.python.org/pypi/jsonrpclib
* License         : Apache-2.0
  Programming Lang: Python
  Description     : implementation of the JSON-RPC v2.0 specification

 This library implements the JSON-RPC 2.0 proposed specification in pure
 Python. It is designed to be as compatible with the syntax of xmlrpclib as
 possible (it extends where possible), so that projects using xmlrpclib could
 easily be modified to use JSON and experiment with the differences.
 .
 It is backwards-compatible with the 1.0 specification, and supports all of the
 new proposed features of 2.0, including:
  * Batch submission (via MultiCall)
  * Keyword arguments
  * Notifications (both in a batch and 'normal')
  * Class translation using the 'jsonclass' key.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Thu, 08 Aug 2013 01:03:23 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 01:03:24 GMT) Full text and rfc822 format available.

Message #12 received at 714248-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 714248-close@bugs.debian.org
Subject: Bug#714248: fixed in python-jsonrpclib 0.1.3-1
Date: Thu, 08 Aug 2013 01:00:06 +0000
Source: python-jsonrpclib
Source-Version: 0.1.3-1

We believe that the bug you reported is fixed in the latest version of
python-jsonrpclib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714248@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-jsonrpclib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Jun 2013 16:40:53 +0800
Source: python-jsonrpclib
Binary: python-jsonrpclib
Architecture: source all
Version: 0.1.3-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-jsonrpclib - implementation of the JSON-RPC v2.0 specification
Closes: 714248
Changes: 
 python-jsonrpclib (0.1.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #714248).
Checksums-Sha1: 
 9a6881adaeb6dd4d0992842769e96a3976246f19 1613 python-jsonrpclib_0.1.3-1.dsc
 64cbf2b74471ea5c7e2686109e871ad535acb9eb 14828 python-jsonrpclib_0.1.3.orig.tar.xz
 3ea761097a9acdcfd104e0821f53609e34853dba 1990 python-jsonrpclib_0.1.3-1.debian.tar.gz
 daa14f71d5088ce3ad78674a158c21e0f500dfb7 13972 python-jsonrpclib_0.1.3-1_all.deb
Checksums-Sha256: 
 4614969e2099e3e9cdac2de1f79a39f94b853141ce5bf6242cfd3be9b8c03386 1613 python-jsonrpclib_0.1.3-1.dsc
 6b713ad271527abc6ab298388d5ffc38f17ff3611140fb518b51943c0ceff14f 14828 python-jsonrpclib_0.1.3.orig.tar.xz
 5700a6f49150b320f5de6779c7c6b5eae5ce1c9487e6ca5cad922cd639fee0c7 1990 python-jsonrpclib_0.1.3-1.debian.tar.gz
 e765490609ae3a4bbd05ca2b478e21ed9f6dda7fe0e07ece333455c2aac23d3c 13972 python-jsonrpclib_0.1.3-1_all.deb
Files: 
 875e7ce4a6e3853580f94151e13df83e 1613 python optional python-jsonrpclib_0.1.3-1.dsc
 e449ac2f2b71342d712b82964e344c91 14828 python optional python-jsonrpclib_0.1.3.orig.tar.xz
 3d9b095ac7d09f5cbc0c42ff5874cbe1 1990 python optional python-jsonrpclib_0.1.3-1.debian.tar.gz
 dfb07c9716589f439760844319cf8eb9 13972 python optional python-jsonrpclib_0.1.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHMBHsACgkQl4M9yZjvmkmHIwCeIK3zJyEbXigThMJXtmPYCCSC
ak4AoIRP7QGF8BjfUjP+mR+QKkjLfpon
=wKyF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:50:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.